Bug 1568043 - The Block Device Guide mention layering not being supported through with version 3.0
Summary: The Block Device Guide mention layering not being supported through with vers...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation
Version: 3.0
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: rc
: 3.1
Assignee: Erin Donnelly
QA Contact: Parikshith
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 16:19 UTC by Jean-Charles Lopez
Modified: 2019-08-26 06:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-26 06:55:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jean-Charles Lopez 2018-04-16 16:19:00 UTC
Description of problem:
The Block Device Guide in its layering chapter mentions in a note that RBD Layering is not supported via kRBD.


Version-Release number of selected component (if applicable):
3.0 (https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/3/html/block_device_guide/)

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.

Actual results:
The documentation shows:
"Ceph only supports cloning for format 2 images (created with rbd create --image-format 2), and is not yet supported by the kernel rbd module. So you MUST use QEMU/KVM or librbd directly to access clones in the current release."

Expected results:
With a 7.4 distribution you can actually create and map a format 2 RBD Image with the layering feature enabled.

Additional info:
I believe this note should be removed or reworded and become OS distro specific.

Comment 5 Giridhar Ramaraju 2019-08-20 07:17:21 UTC
Level setting the severity of this defect to "High" with a bulk update. Pls
refine it to a more closure value, as defined by the severity definition in
https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity


Note You need to log in before you can comment on or make changes to this bug.